## udisks2 2.10.0

=== src/tests/dbus-tests/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/dbus-tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Generate config.h.py with translated defines for easy use within Python

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/udisks
pkgincludedir = $(includedir)/udisks
pkglibdir = $(libdir)/udisks
pkglibexecdir = $(libexecdir)/udisks
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = btrfs
am__append_2 = iscsi
am__append_3 = lvm2
am__append_4 = lsm
subdir = src/tests/dbus-tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_enable_debug.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/udisks/build-aux/missing' aclocal-1.16
ACL_CFLAGS = 
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/tmp/udisks/build-aux/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/udisks/build-aux/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/udisks/build-aux/missing' automake-1.16
AWK = gawk
BASH = /bin/sh
BLOCKDEV_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
BLOCKDEV_LIBS = -lblockdev -lglib-2.0 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64-v2 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -W -Wextra -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Werror=format-security -Werror=implicit-function-declaration -Werror=overflow -Wformat-nonliteral -Wformat=2 -Wimplicit -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wno-inline -Wno-long-long -Wno-missing-field-initializers -Wno-overlength-strings -Wno-switch-enum -Wno-unused-parameter -Wno-unused-result -Wold-style-definition -Wpacked -Wpointer-arith -Wshadow -Wsign-compare -Wstrict-aliasing=2 -Wstrict-prototypes -Wundef -Wuninitialized -Wvla -Wwrite-strings -fdata-sections -fdiagnostics-show-option -ffast-math -ffunction-sections -fno-common -fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GETTEXT_MACRO_VERSION = 0.19
GETTEXT_PACKAGE = udisks2
GIO_CFLAGS = -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0 
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GLIB_LIBS = -lglib-2.0 
GMODULE_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GMODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lglib-2.0 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
GTKDOC_CHECK = gtkdoc-check.test
GTKDOC_CHECK_PATH = /usr/bin/gtkdoc-check
GTKDOC_DEPS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GTKDOC_DEPS_LIBS = -lgobject-2.0 -lglib-2.0 
GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
GUDEV_CFLAGS = -I/usr/include/gudev-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GUDEV_LIBS = -lgudev-1.0 -lgobject-2.0 -lglib-2.0 
HAVE_LIBELOGIND = 
HAVE_LIBSYSTEMD_LOGIN = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0 
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib64/girepository-1.0
ISCSI_LIBS = -liscsi
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 
LIBATASMART_CFLAGS = 
LIBATASMART_LIBS = -latasmart 
LIBBLKID_CFLAGS = -I/usr/include/blkid 
LIBBLKID_LIBS = -lblkid 
LIBCONFIG_CFLAGS = 
LIBCONFIG_LIBS = -lconfig 
LIBELOGIND_CFLAGS = 
LIBELOGIND_LIBS = 
LIBICONV = -liconv
LIBINTL = 
LIBLSM_CFLAGS = -I/usr/include/libstoragemgmt 
LIBLSM_LIBS = -lstoragemgmt 
LIBMOUNT_CFLAGS = -I/usr/include/libmount -I/usr/include/blkid 
LIBMOUNT_LIBS = -lmount 
LIBOBJS = 
LIBS = 
LIBSYSTEMD_LOGIN_CFLAGS = 
LIBSYSTEMD_LOGIN_LIBS = -lsystemd 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUUID_CFLAGS = -I/usr/include/uuid 
LIBUUID_LIBS = -luuid 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} '/tmp/udisks/build-aux/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = udisks
PACKAGE_BUGREPORT = https://storaged-project.github.io
PACKAGE_NAME = udisks
PACKAGE_STRING = udisks 2.10.0
PACKAGE_TARNAME = udisks
PACKAGE_URL = 
PACKAGE_VERSION = 2.10.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POLKIT_AGENT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
POLKIT_AGENT_1_LIBS = -lpolkit-agent-1 -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
POLKIT_GOBJECT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
POLKIT_GOBJECT_1_LIBS = -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
POSUB = po
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
UDISKS_MAJOR_VERSION = 2
UDISKS_MICRO_VERSION = 0
UDISKS_MINOR_VERSION = 10
UDISKS_VERSION = 2.10.0
USE_NLS = yes
VERSION = 2.10.0
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XSLTPROC = /usr/bin/xsltproc
_GI_EXP_DATADIR = /usr/share
_GI_EXP_LIBDIR = /usr/lib64
abs_builddir = /tmp/udisks/src/tests/dbus-tests
abs_srcdir = /tmp/udisks/src/tests/dbus-tests
abs_top_builddir = /tmp/udisks
abs_top_srcdir = /tmp/udisks
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/udisks/build-aux/install-sh
libdir = ${exec_prefix}/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
modloaddir = /usr/lib/modules-load.d
modprobedir = /usr/lib/modprobe.d
oldincludedir = /usr/include

=== debian/changelog ===
udisks2 (2.10.0-5.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 02 Aug 2023 16:20:32 +0300

udisks2 (2.10.0-5) unstable; urgency=medium

  * Remove libblockdev-crypto2 from test dependencies.
    It has been replaced by libblockdev-crypto3, but since libblockdev-crypto
    is no longer an optional dependency, udisks2 already depends on it, so an
    explicit test dependency is no longer needed.
    (Closes: #1042794)

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Aug 2023 08:20:32 +0200

udisks2 (2.10.0-4) unstable; urgency=medium

  * Drop obsolete --disable-vdo configure switch as well
  * udiskslinuxloop: Avoid warnings on empty loop devices (Closes: #1041649)

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Jul 2023 22:02:00 +0200

udisks2 (2.10.0-3) unstable; urgency=medium

  * Update libblockdev-mdraid2 to libblockdev-mdraid3 (Closes: #1040797)
  * Bump libblockdev-{crypto3,mdraid3,nvme3} to Depends.
    Fixes a crash in udisksd if those plugins are missing. (Closes: #1040793)

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 23:36:46 +0200

udisks2 (2.10.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 09:22:10 +0200

udisks2 (2.10.0-1) experimental; urgency=medium

  * New upstream version 2.10.0
  * Drop patches, merged upstream
  * Install new zsh completion file
  * Drop obsolete configure switches
  * Drop udisks2-bcache and udisks2-zram subpackages.
    The kbd and vdo libblockdev plugins were removed and so were zram,
    bcache and vdo udisks modules.
  * Update (Build-)Depends
    - Bump libblockdev-*-dev to (>= 3.0)
    - Bump libglib2.0-dev to (>= 2.68)
    - Drop libblockdev-kbd-dev, no longer exits in version 3.0
    - Add libblockdev-nvme-dev for NVME support
    - Add libblkid-dev
    - Update libblockdev-* Depends/Recommends for the soversion bump from 2 to 3
    - Add new Recommends libblockdev-nvme3 to udisks2
  * Update symbols file for libudisks2-0.
    Drop bcache and zram related symbols. Those were only used internally,
    so we get away without a soname bump.
  * Bump Standards-Version to 4.6.2
  * Add strictly versioned dependency between udisks2 and libudisks2-0.
    udisks2 and libudisks2-0 should always be in sync.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 Jul 2023 21:39:17 +0200

=== debian/control ===
Source: udisks2
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               docbook-xml,
               docbook-xsl,
               gtk-doc-tools,
               gettext (>= 0.19.8),
               gobject-introspection (>= 1.30),
               libacl1-dev,
               libatasmart-dev (>= 0.17),
               libblockdev-btrfs-dev (>= 3.0),
               libblockdev-crypto-dev (>= 3.0),
               libblockdev-dev (>= 3.0),
               libblockdev-fs-dev (>= 3.0),
               libblockdev-loop-dev (>= 3.0),
               libblockdev-lvm-dev (>= 3.0),
               libblockdev-mdraid-dev (>= 3.0),
               libblockdev-nvme-dev (>= 3.0),
               libblockdev-part-dev (>= 3.0),
               libblockdev-swap-dev (>= 3.0),
               libgirepository1.0-dev (>= 1.30),
               libglib2.0-dev (>= 2.68),
               libgudev-1.0-dev (>= 165),
               libmount-dev (>= 2.30),
               libblkid-dev,
               libpolkit-agent-1-dev (>= 0.102),
               libpolkit-gobject-1-dev (>= 0.102),
               pkg-config,
               polkitd,
               udev (>= 147),
               xsltproc,
Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                     policykit-1-doc <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/utopia-team/udisks2.git
Vcs-Browser: https://salsa.debian.org/utopia-team/udisks2
Homepage: https://www.freedesktop.org/wiki/Software/udisks

Package: udisks2
Architecture: linux-any
Multi-Arch: foreign
Depends: libudisks2-0 (= ${binary:Version}),
         libblockdev-crypto3,
         libblockdev-fs3,
         libblockdev-loop3,
         libblockdev-mdraid3,
         libblockdev-nvme3,
         libblockdev-part3,
         libblockdev-swap3,
         dbus,
         parted,
         udev,
         ${shlibs:Depends},
Recommends: dosfstools,
            e2fsprogs,
            eject,
            ntfs-3g,
            polkitd,
            ${exfat:Recommends},
Suggests: btrfs-progs,
          f2fs-tools,
          mdadm,
          nilfs-tools,
          reiserfsprogs,
          udftools,
          udisks2-btrfs,
          udisks2-lvm2,
          xfsprogs,
          ${exfat:Suggests},
Description: D-Bus service to access and manipulate storage devices
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package also provides the udisksctl utility, which can be used to
 trigger these operations from the command line (if permitted by
 PolicyKit).
 .
 Creating or modifying file systems such as XFS, RAID, or LUKS encryption
 requires that the corresponding mkfs.* and admin tools are installed, such as
 dosfstools for VFAT, xfsprogs for XFS, or cryptsetup for LUKS.

Package: udisks2-btrfs
Architecture: linux-any
Multi-Arch: foreign
Depends: libblockdev-btrfs3,
         udisks2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: BTRFS support for udisks2
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides support for BTRFS configuration.

Package: udisks2-lvm2
Architecture: linux-any
Multi-Arch: foreign
Depends: libblockdev-lvm3,
         udisks2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: LVM2 support for udisks2
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides support for LVM2 configuration.
 .
 This package provides support for zram configuration.

Package: udisks2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
Suggests: devhelp,
Recommends: libglib2.0-doc,
            policykit-1-doc,
Build-Profiles: <!nodoc>
Description: udisks2 documentation
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides the API reference and manuals in devhelp format.

Package: libudisks2-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GObject based library to access udisks2
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This provides a convenience library for communicating with udisks2 from
 GObject based programs.

Package: libudisks2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-udisks-2.0 (= ${binary:Version}),
         libudisks2-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject based library to access udisks2 - development files
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package contains files that are needed to build applications using
 libudisks.

Package: gir1.2-udisks-2.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject based library to access udisks2 - introspection data
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides introspection data for libudisks. It can be used
 by packages using the GIRepository format to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-btrfs \
		--enable-lvm2 \
		--enable-gtk-doc=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),no,yes) \
		--enable-fhs-media \
		--with-systemdsystemunitdir=/lib/systemd/system

execute_after_dh_auto_install:
	# install Apport hook on Ubuntu
	if dpkg-vendor --is ubuntu; then \
	    install -m 644 -D debian/local/apport-hook.py debian/udisks2/usr/share/apport/package-hooks/udisks2.py; \
	fi

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name 'libudisks2_*.a' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

# Ubuntu is hesitant about exfatprogs in default install
# https://launchpad.net/bugs/1649537
override_dh_gencontrol:
ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vexfat:Recommends='exfatprogs'
else
	dh_gencontrol -- -Vexfat:Suggests='exfatprogs'
endif

## udisks2 2.10.1

=== src/tests/dbus-tests/Makefile ===
--- 
+++ 
@@ -145,11 +145,11 @@
 AUTOMAKE = ${SHELL} '/tmp/udisks/build-aux/missing' automake-1.16
 AWK = gawk
 BASH = /bin/sh
-BLOCKDEV_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
-BLOCKDEV_LIBS = -lblockdev -lglib-2.0 
+BLOCKDEV_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread
+BLOCKDEV_LIBS = -lblockdev -lglib-2.0
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64-v2 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -W -Wextra -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Werror=format-security -Werror=implicit-function-declaration -Werror=overflow -Wformat-nonliteral -Wformat=2 -Wimplicit -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wno-inline -Wno-long-long -Wno-missing-field-initializers -Wno-overlength-strings -Wno-switch-enum -Wno-unused-parameter -Wno-unused-result -Wold-style-definition -Wpacked -Wpointer-arith -Wshadow -Wsign-compare -Wstrict-aliasing=2 -Wstrict-prototypes -Wundef -Wuninitialized -Wvla -Wwrite-strings -fdata-sections -fdiagnostics-show-option -ffast-math -ffunction-sections -fno-common -fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+CFLAGS = -O0 -ggdb -Wall -W -Wextra -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Werror=format-security -Werror=implicit-function-declaration -Werror=overflow -Wformat-nonliteral -Wformat=2 -Wimplicit -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wno-inline -Wno-long-long -Wno-missing-field-initializers -Wno-overlength-strings -Wno-switch-enum -Wno-unused-parameter -Wno-unused-result -Wold-style-definition -Wpacked -Wpointer-arith -Wshadow -Wsign-compare -Wstrict-aliasing=2 -Wstrict-prototypes -Wundef -Wuninitialized -Wvla -Wwrite-strings -fdata-sections -fdiagnostics-show-option -ffast-math -ffunction-sections -fno-common -fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -170,23 +170,23 @@
 FILECMD = file
 GETTEXT_MACRO_VERSION = 0.19
 GETTEXT_PACKAGE = udisks2
-GIO_CFLAGS = -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
-GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0 
-GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
-GLIB_LIBS = -lglib-2.0 
-GMODULE_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
-GMODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lglib-2.0 
+GIO_CFLAGS = -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/sysprof-4 -pthread
+GIO_LIBS = -lgio-2.0 -lglib-2.0 -lgobject-2.0
+GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread
+GLIB_LIBS = -lglib-2.0
+GMODULE_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread
+GMODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0
 GMSGFMT = /usr/bin/msgfmt
 GMSGFMT_015 = /usr/bin/msgfmt
 GREP = /usr/bin/grep
 GTKDOC_CHECK = gtkdoc-check.test
 GTKDOC_CHECK_PATH = /usr/bin/gtkdoc-check
-GTKDOC_DEPS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
-GTKDOC_DEPS_LIBS = -lgobject-2.0 -lglib-2.0 
+GTKDOC_DEPS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread
+GTKDOC_DEPS_LIBS = -lgobject-2.0 -lglib-2.0
 GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
 GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
-GUDEV_CFLAGS = -I/usr/include/gudev-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
-GUDEV_LIBS = -lgudev-1.0 -lgobject-2.0 -lglib-2.0 
+GUDEV_CFLAGS = -I/usr/include/gudev-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread
+GUDEV_LIBS = -lgudev-1.0 -lgobject-2.0 -lglib-2.0
 HAVE_LIBELOGIND = 
 HAVE_LIBSYSTEMD_LOGIN = 
 HTML_DIR = ${datadir}/gtk-doc/html
@@ -197,38 +197,38 @@
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 INTLLIBS = 
 INTL_MACOSX_LIBS = 
-INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
+INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread
 INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
 INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
 INTROSPECTION_GIRDIR = /usr/share/gir-1.0
-INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0 
+INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
 INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
 INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
 INTROSPECTION_TYPELIBDIR = /usr/lib64/girepository-1.0
 ISCSI_LIBS = -liscsi
 LD = /usr/bin/ld -m elf_x86_64
-LDFLAGS = -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 
+LDFLAGS = 
 LIBATASMART_CFLAGS = 
-LIBATASMART_LIBS = -latasmart 
-LIBBLKID_CFLAGS = -I/usr/include/blkid 
-LIBBLKID_LIBS = -lblkid 
+LIBATASMART_LIBS = -latasmart
+LIBBLKID_CFLAGS = -I/usr/include/blkid
+LIBBLKID_LIBS = -lblkid
 LIBCONFIG_CFLAGS = 
-LIBCONFIG_LIBS = -lconfig 
+LIBCONFIG_LIBS = -lconfig
 LIBELOGIND_CFLAGS = 
 LIBELOGIND_LIBS = 
 LIBICONV = -liconv
 LIBINTL = 
-LIBLSM_CFLAGS = -I/usr/include/libstoragemgmt 
-LIBLSM_LIBS = -lstoragemgmt 
-LIBMOUNT_CFLAGS = -I/usr/include/libmount -I/usr/include/blkid 
-LIBMOUNT_LIBS = -lmount 
+LIBLSM_CFLAGS = -I/usr/include/libstoragemgmt
+LIBLSM_LIBS = -lstoragemgmt
+LIBMOUNT_CFLAGS = -I/usr/include/libmount -I/usr/include/blkid
+LIBMOUNT_LIBS = -lmount
 LIBOBJS = 
 LIBS = 
 LIBSYSTEMD_LOGIN_CFLAGS = 
-LIBSYSTEMD_LOGIN_LIBS = -lsystemd 
+LIBSYSTEMD_LOGIN_LIBS = -lsystemd
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIBUUID_CFLAGS = -I/usr/include/uuid 
-LIBUUID_LIBS = -luuid 
+LIBUUID_CFLAGS = -I/usr/include/uuid
+LIBUUID_LIBS = -luuid
 LIPO = 
 LN_S = ln -s
 LTLIBICONV = -liconv
@@ -251,18 +251,18 @@
 PACKAGE = udisks
 PACKAGE_BUGREPORT = https://storaged-project.github.io
 PACKAGE_NAME = udisks
-PACKAGE_STRING = udisks 2.10.0
+PACKAGE_STRING = udisks 2.10.1
 PACKAGE_TARNAME = udisks
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.10.0
+PACKAGE_VERSION = 2.10.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
-POLKIT_AGENT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
-POLKIT_AGENT_1_LIBS = -lpolkit-agent-1 -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
-POLKIT_GOBJECT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
-POLKIT_GOBJECT_1_LIBS = -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
+POLKIT_AGENT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/sysprof-4 -pthread
+POLKIT_AGENT_1_LIBS = -lpolkit-agent-1 -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0
+POLKIT_GOBJECT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/sysprof-4 -pthread
+POLKIT_GOBJECT_1_LIBS = -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0
 POSUB = po
 RANLIB = ranlib
 SED = /usr/bin/sed
@@ -270,11 +270,11 @@
 SHELL = /bin/sh
 STRIP = strip
 UDISKS_MAJOR_VERSION = 2
-UDISKS_MICRO_VERSION = 0
+UDISKS_MICRO_VERSION = 1
 UDISKS_MINOR_VERSION = 10
-UDISKS_VERSION = 2.10.0
+UDISKS_VERSION = 2.10.1
 USE_NLS = yes
-VERSION = 2.10.0
+VERSION = 2.10.1
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
 XGETTEXT_EXTRA_OPTIONS = 
@@ -323,3 +323,24 @@
 modloaddir = /usr/lib/modules-load.d
 modprobedir = /usr/lib/modprobe.d
 oldincludedir = /usr/include
+pdfdir = ${docdir}
+prefix = /usr
+program_transform_name = s,x,x,
+psdir = ${docdir}
+runstatedir = ${localstatedir}/run
+sbindir = ${exec_prefix}/sbin
+sharedstatedir = /var
+srcdir = .
+sysconfdir = /etc
+systemdsystemunitdir = /usr/lib/systemd/system
+target_alias = 
+tmpfilesdir = /usr/lib/tmpfiles.d
+top_build_prefix = ../../../
+top_builddir = ../../..
+top_srcdir = ../../..
+udevdir = /usr/lib/udev
+CONFIG_H_PY = config_h.py
+BUILT_SOURCES = $(CONFIG_H_PY)
+MODULES = $(am__append_1) $(am__append_2) $(am__append_3) \
+	$(am__append_4)
+EXTRA_DIST =

=== debian/changelog ===
udisks2 (2.10.1-6ubuntu1.3) noble-security; urgency=medium

  * SECURITY UPDATE: DoS and possible information disclosure via OOB read
    - debian/patches/CVE-2025-8067.patch: add lower bounds check to
      fd_index in src/udiskslinuxmanager.c.
    - CVE-2025-8067

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 21 Aug 2025 10:16:39 -0400

udisks2 (2.10.1-6ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: LPE from allow_active to root in libblockdev via
    udisks
    - d/p/0001-udiskslinuxfilesystemhelpers-Mount-private-mounts-wi.patch:
      mount private mounts with nodev,nosuid in
      /src/udiskslinuxfilesystemhelpers.c.
    - CVE-2025-6019

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Jun 2025 10:32:18 -0400

udisks2 (2.10.1-6ubuntu1) noble; urgency=medium

  * d/p/nvme-disk-size.patch: Fix missing size for NVME disk (LP: #2038761).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 18 Nov 2024 17:06:30 +0100

udisks2 (2.10.1-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:29:34 +0000

udisks2 (2.10.1-6) unstable; urgency=medium

  [ Martin Pitt ]
  * Don't build with -Wl,-Bsymbolic-functions.
    It breaks module loading, as it confuses GObject's type loading cache:
    "cannot register existing type 'UDisksDaemon'".
    Ubuntu enables this linker flag by default, no-op for Debian.
    (LP: #2040488)

  [ Michael Biebl ]
  * Drop python3-distutils Depends from debian/tests/control.
    No longer needed since 2.10.0. (Closes: #1065991)
  * Build-depend on pkgconf instead of pkg-config

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Mar 2024 23:19:45 +0100

udisks2 (2.10.1-5) unstable; urgency=medium

  * tests: Fix targetcli_config.json.
    Not all attributes are available anymore in newer kernel versions.

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Jan 2024 12:28:58 +0100

udisks2 (2.10.1-4) unstable; urgency=medium

  * Stop moving files from /usr/sbin to /sbin.
    With merged-/usr being mandatory, this is no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 05:40:54 +0100

udisks2 (2.10.1-3) unstable; urgency=medium

  * Replace udev Build-Depends with systemd-dev.
    The new systemd-dev package ships udev.pc and systemd.pc which provides
    the paths for udevdir/systemdsystemunitdir/tmpfilesdir.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:51:36 +0100

udisks2 (2.10.1-2) unstable; urgency=medium

  * Move systemd services files and udev rules to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2023 14:39:24 +0200

udisks2 (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1
    - Limit getting filesystem size only to Ext and XFS
      (Closes: #1043022, #1040836)
    - Use ID_FS_SIZE for filesystems that are not known to report
      ID_FS_LASTBLOCK (Closes: #1041774)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2023 14:47:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: udisks2
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 13.11.6),
                dh-sequence-gir,
                docbook-xml,
                docbook-xsl,
@@ -30,9 +32,10 @@
                libblkid-dev,
                libpolkit-agent-1-dev (>= 0.102),
                libpolkit-gobject-1-dev (>= 0.102),
-               pkg-config,
+               libsystemd-dev (>= 209),
+               pkgconf,
                polkitd,
-               udev (>= 147),
+               systemd-dev,
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                      policykit-1-doc <!nodoc>,
@@ -56,12 +59,14 @@
          dbus,
          parted,
          udev,
+         ${misc:Depends},
          ${shlibs:Depends},
 Recommends: dosfstools,
             e2fsprogs,
             eject,
             ntfs-3g,
             polkitd,
+            libpam-systemd,
             ${exfat:Recommends},
 Suggests: btrfs-progs,
           f2fs-tools,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# Ubuntu enables this by default, but it breaks module loading; https://launchpad.net/bugs/2040488
+export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 
 %:
 	dh $@
@@ -11,7 +13,8 @@
 		--enable-lvm2 \
 		--enable-gtk-doc=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),no,yes) \
 		--enable-fhs-media \
-		--with-systemdsystemunitdir=/lib/systemd/system
+		--with-udevdir=/usr/lib/udev \
+		--with-systemdsystemunitdir=/usr/lib/systemd/system
 
 execute_after_dh_auto_install:
 	# install Apport hook on Ubuntu
@@ -22,10 +25,6 @@
 execute_before_dh_install:
 	find debian/tmp -name '*.la' -print -delete
 	find debian/tmp -name 'libudisks2_*.a' -print -delete
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 # Ubuntu is hesitant about exfatprogs in default install
 # https://launchpad.net/bugs/1649537
